Arduino

Reference Language | Libraries | Comparison | Changes

SPI

## setBitOrder()

#### Description

Sets the order of the bits shifted out of and into the SPI bus, either LSBFIRST (least-significant bit first) or MSBFIRST (most-significant bit first).

Extended method for Arduino Due
If you specify one of the Arduino Due's Slave Select (SS) pin in the call to setBitOrder(), the bit order setting is applied only to the device connected to the specified SS pin. More info on extended methods: Due Extended SPI usage

#### Syntax

SPI.setBitOrder(order)
SPI.setBitOrder(slaveSelectPin, order) | (Arduino Due only)

#### Parameters

order: either LSBFIRST or MSBFIRST

#### Returns

None

#### See also

- setClockDivider()
- setDataMode()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers